System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IWsdlImportExtension

The is invoked by the when converting a WSDL description. It examines the WSDL documents and generates an in-memory description to be used later for code generation.

Handles the importation of data contract messages from WSDL documents.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that specifies whether importation of messages is enabled.

- Method
  4.0.0.0
  System.Void `` `` ``

  Specifies a service description and schema set to use when importing a set of WSDL documents.

  Specifies a service description and schema set to use when importing a set of WSDL documents.

  A that represents the WSDL documents to inspect. An that represents the schemas to use when converting messages. A that contains the policy documents to use when importing messages.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Imports a message contract from a WSDL document.

  Imports a message contract from a WSDL document.

  A to use when importing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Converts the WSDL document from a specified endpoint.

  Converts the WSDL document from a specified endpoint.

  The to use when importing.